from django.db import models

# Create your models here.

class Well(models.Model):
    representor = models.IntegerField(
            verbose_name='نماینده',
            null=True,
            blank=True,
            #related_name='representor'
        )

    license_code = models.CharField(
            verbose_name='شماره کلاسه پروانه',
            max_length=100,
            #unique=True,
            null=True,
            blank=True,
        )

    subscriptionـcode = models.CharField(
            verbose_name='کد اشتراک',
            max_length=100,
            unique=True,
            blank=True,
            null=True,
        )

    done_by =  models.IntegerField(
            verbose_name='توسط',
            null=True,
            blank=True,
        )

    created_at = models.DateTimeField(
            verbose_name='تاریخ ساخت',
            auto_now_add=True,
            null=True,
            blank=True,
        )
    
    logged_at =  models.DateTimeField(
            verbose_name='تاریخ آخرین تغییر',
            auto_now=True,
            null=True,
            blank=True,
        )
    
    LOG_CHOICES = (
        (0, 'created'),
        (1, 'deleted'),
        (2, 'updated'),
        (3, 'edited'),
        )
    
    log_type = models.CharField(
	        verbose_name='نوع',
	        max_length=1,
	        choices=LOG_CHOICES,
            default=0,
	        null=True,
	        blank=True,
	    )

    log_of = models.IntegerField(
            verbose_name='لاگ شده از',
            null=True,
            blank=False,
            default = 0
        )

    province = models.IntegerField( 
            # Province,
            # on_delete=models.SET_NULL,
            verbose_name='استان',
            null=True,
            blank=False,
        )
        
    latitude_utm = models.FloatField(
            verbose_name='عرض جغرافیایی UTM',
            null=True,
            blank=True,
            #validators=[MinValueValidator(0)]
        )
 
    license_doc = models.FileField(
            verbose_name='فایل پروانه',
            #upload_to=path_and_rename_well,
            null=True,
            blank=True,
        )

    class Meta:
            verbose_name = 'چاه'
            verbose_name_plural = 'چاه‌ها'
    
    def __str__(self):
            return self.license_code
    
